Bug 756636 - Review Request: gnome-screenshot - A screenshot utility for GNOME
Review Request: gnome-screenshot - A screenshot utility for GNOME
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-23 23:59 EST by Matthias Clasen
Modified: 2011-12-21 11:32 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-21 11:32:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2011-11-23 23:59:43 EST
This used to be part of gnome-utils. gnome-utils has been split into individual applications, which is why there is an Obsoletes here. Once all the individual pieces are packages, gnome-utils will go away.

The desktop file in here does not validate, since it contains non-standard Canonical extensions. This is unfortunate, but needs to be addressed upstream.

Spec: http://mclasen.fedorapeople.org/gnome-screenshot.spec
SRPM: http://mclasen.fedorapeople.org/gnome-screenshot-3.3.1-1.fc16.src.rpm
Comment 1 Parag AN(पराग) 2011-11-24 05:16:59 EST
Review:-

+ koji scratch build ->http://koji.fedoraproject.org/koji/taskinfo?taskID=3537183

+ rpmlint on rpms gave
gnome-screenshot.src:35: W: macro-in-comment %{_datadir}
gnome-screenshot.x86_64: W: obsolete-not-provided gnome-utils
gnome-screenshot.x86_64: E: incorrect-fsf-address /usr/share/doc/gnome-screenshot-3.3.1/COPYING
gnome-screenshot.x86_64: E: invalid-desktopfile /usr/share/applications/gnome-screenshot.desktop file contains group "Screen Shortcut Group", but groups extending the format should start with "X-"
gnome-screenshot.x86_64: E: invalid-desktopfile /usr/share/applications/gnome-screenshot.desktop file contains group "Window Shortcut Group", but groups extending the format should start with "X-"
2 packages and 0 specfiles checked; 3 errors, 2 warnings.

+ source verified with upstream as (sha1sum)
734ecd3ee4f2ccbd463754ec5b28b54fcd54c4c3  gnome-screenshot-3.3.1.tar.xz
734ecd3ee4f2ccbd463754ec5b28b54fcd54c4c3  ../SOURCES/gnome-screenshot-3.3.1.tar.xz

+ follows packaging guidelines.

Suggestions:
1) you can fix the macro-in-comment rpmlint warning using %% instead of %

2) also you can ask upstream to update fsf address.

3) Has the desktop issue already reported in upstream?

APPROVED.
Comment 2 Parag AN(पराग) 2011-12-21 05:11:32 EST
any updates here?
Comment 3 Matthias Clasen 2011-12-21 09:13:25 EST
Thanks Parag, I'll address your suggestions when I do the initial upload.

To answer your question: the desktop file extensions are being discussed on xdg-list, currently.
Comment 4 Matthias Clasen 2011-12-21 09:19:09 EST
New Package SCM Request
=======================
Package Name: gnome-screenshot
Short Description: A screenshot utility for GNOME
Owners: mclasen, cosimoc
Branches: 
InitialCC:
Comment 5 Gwyn Ciesla 2011-12-21 09:37:05 EST
Git done (by process-git-requests).
Comment 6 Matthias Clasen 2011-12-21 11:32:16 EST
build underway

Note You need to log in before you can comment on or make changes to this bug.